EC_NODE_SEQ_ADD(3)

NAME
ec_node_seq_add - Add a child to a sequence node.

SYNOPSIS
#include <ecoli/node_seq.h>

int ec_node_seq_add(
    struct ec_node   *node,   /* The sequence node. */
    /*
     * The child node to add. It is consumed and will be freed when the parent
     * is freed, or immediately on error.
     */
    struct ec_node   *child
);

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_node_seq(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.